package com.notuvy.gui;

import javax.swing.*;
import javax.swing.border.Border;
import java.awt.*;

/**
 * A UI component that is a status bar to be displayed for a frame.  It can
 * display a single line of text.
 *
 * User: murali
 * Date: Nov 9, 2010
 * Time: 3:29:43 PM
 */
public class StatusBar {

    //------------------------------------------------------------
    //- Class Variables


    //------------------------------------------------------------
    //- Class Functions


    //------------------------------------------------------------
    //- Instance Variables

    private final JPanel fPanel = new JPanel();
    private final JTextField fTextField = new JTextField("");


    //------------------------------------------------------------
    //- Constructors

    public StatusBar() {
        this (BorderFactory.createRaisedBevelBorder());
    }

    public StatusBar(Border pBorder) {
        getTextField().setEditable(false);

        getPanel().setBorder(pBorder);
        getPanel().setLayout(new BorderLayout());
        getPanel().add(getTextField(), BorderLayout.CENTER);
    }

    //------------------------------------------------------------
    //- Getters

    public JPanel getPanel() {
        return fPanel;
    }

    private JTextField getTextField() {
        return fTextField;
    }

    //------------------------------------------------------------
    //- Settors


    //------------------------------------------------------------
    //- Private/Protected Utility Functions


    //------------------------------------------------------------
    //- Public Interface Functions

    public void setText(String pString) {
        getTextField().setText(pString);
    }

    public void clear() {
        setText("");
    }


    //------------------------------------------------------------
    //- Class Interface Functions


    //------------------------------------------------------------
    //- Inner Classes


    //------------------------------------------------------------
    //- Main

}
